Bug 1121040 - JobExecutor: callback lookup will fail if divider contains spaces.
Summary: JobExecutor: callback lookup will fail if divider contains spaces.
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Core
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: DR2
: 6.1.0
Assignee: Maciej Swiderski
QA Contact: Marek Baluch
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 08:47 UTC by Marek Baluch
Modified: 2014-09-10 08:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Enhancement


Attachments (Terms of Use)

Description Marek Baluch 2014-07-18 08:47:08 UTC
*** Description of problem:
Currently the only format for the callbacks property inside the context is:
callbackClass1,callbackClass2,...,callbackClassN.

Please consider supporting also another common format which is:
callbackClass1, callbackClass2, ..., callbackClassN.

*** Additional info:
Lookup is made in ClassCacheManager#buildCommandCallback(CommandContext, ClassLoader)

Comment 1 Maciej Swiderski 2014-07-24 18:07:06 UTC
fixed by making sure the classnmes of the callback are trimmed

jbpm
master:
https://github.com/droolsjbpm/jbpm/commit/e25e29e044db74869efef52ce132511b39693c34

Comment 2 Marek Baluch 2014-09-10 08:07:09 UTC
Verified on 6.1.0.DR2


Note You need to log in before you can comment on or make changes to this bug.